:root
{
    --paddingsecciones: 10px;
    --fondomenu: #ffffff;
    --fondomain: #e2dada;
    --fondosombra: #0f1c22;
    --colorsombra: #1aa2cf;
    --altoCabecera: 100px;
    --fondoReceta: rgb(252, 246, 246);
    --black: #000;
    --lineaInput: rgb(25, 90, 165);
    --lineaSeleccion: #167aec;
    --colorBoton:#4C43CD;
    --colorTitulo: #34306e;
    --colorSubTitulo: #1e195f;
    --colorBotonSecondary: #8fafe2;
    --colorBotonCancelarTrabajo: #3f4a5c;
    --colorBotonEliminarTrabajo: #e45959;
    --colorBotonGris: #b4b4b4;
    --colorTextoBoton: #e9e6e6;
    --colorBotonVerde: #16A633;
    --colorBotonVioleta: #BE0FC4D6;
    --colorTextoBotonDiabled: #1a1818;
    --colorTextoBotonSecondary: #161616;
  
    --colorTextoBarraEstado: #fff;
    --fondoBarraEstado: #3f566d;
    --fondoSubTotales: #ffffff;
    --colorFondoInput: rgb(171, 247, 187); /*#8bf99c;*/
    --blanco: #fff;
    --colorFondoFactura: #fff5;
    --colorFilaSecundariaTabla: #dfd5d5;
    --diferencia: #e05252;
    --cabeceraTabla: #10386c;
    --diferenciaPositiva: #175f04;
    --botonAgregarFP: rgba(10, 121, 10, 0.938);
    --segundoModal: #edeef1;
    --negro: #000;
    --botonCancerlar: rgba(168, 36, 36, 0.78);
    --botonDeshabilitado: #ACAAC4 ;
    --fondoInputDisabled:rgba(76, 101, 140, 0.35) !important;
    --filaNueva:rgb(155, 155, 155);
    --errorFila:  #a33131;
    --inputError: #f44c4c ;
    --fondoSwitch: #4C43CD;
    --barraNegativaCristales: rgba(132, 34, 224, 0.7);
    --barraPositivaCristales:rgba(95, 35, 207, 0.7); 
    --barraRangoCilCristales:rgb(23, 236, 56);
    --colorPaciente: rgb(23, 236, 56);
    --colorDoc:rgb(123, 26, 56);
    --colorNroTrabajo: rgb(158, 19, 170);
}


html, body {

    height: 100vh;
    margin: 0;
    padding: 0;
}


body {
    display: flex;
    flex-direction: column;
    overflow: hidden;
}


header
{
    margin-bottom: 2px;
    background: var(--fondomenu) ;
}

input, textarea, select {

    outline: none;
    border-radius: 4px 4px 1px 1px; 

}

input:focus
{
  background: var(--colorFondoInput);
}

.contenedor
{
    background: var(--fondomenu);
    width: 95%;
    max-width: 1680;
    margin: auto;
    overflow: hidden;
    padding: var(--paddingsecciones);
}

/* menu navegacion de redes */
.menu-navegacion
{
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-family:Roboto, Helvetica, sans-serif;
    height: 100%;
    font-size: small;
}

.logo{
    width:80px;
    height:30px
}

.logo img{
    display: block;
    height: 100%;
}

.enlaces li
{
    list-style: none;
    display: inline-block;
}

.enlaces a
{
    text-transform: none;
    color: black;
}

/* fin menu navegacion de redes */
/* Main */
main
{
    background: var(--fondomain);
    flex: 1; /* Esto hace que ocupe todo el espacio disponible */
}

.contenido {
    position: absolute;
    bottom: 30px;
    left: 0;
    right: 0;
    padding: 0px;
    overflow-y: auto; /* Agrega barra de desplazamiento vertical cuando sea necesario */
}

/* Firefox y navegadores modernos que soportan -moz-appearance */
@supports (-moz-appearance: none) {
  .contenido {
      top: 60px;
  }
}

/* Safari y navegadores WebKit antiguos (por si acaso) */
@supports (-webkit-hyphens: none) {
  .contenido {
      top: 20px; /* Reforzar el valor para WebKit */
  }
}
.principal
{
    padding-left: 70px;
}

.div-con-imagen img {
    width: 100%; /* Ancho completo dentro del div */
    height: 100%; /* Alto completo dentro del div */
    object-fit: contain; /* Ajusta la imagen para cubrir el área sin distorsionar */
}

.divPrincipal
{
    height: (100vh - 70px);
}
/* fin main */
footer
{
  background-color: var(--fondoBarraEstado);
  height: 1.7rem;
  color: var(--colorTextoBarraEstado);
}
footer span
{
    font-family: 'Roboto', Verdana, sans-serif;
    font-variant: normal;
 
}

.no-warp
{
  white-space: nowrap;
}

.mar50
{
    margin-left: 50px;
}

/* Se usa normalmente con los switch y labels para mantner el ancho */
.mt0
 {
  margin-top: 0px !important;
 }

 .mt10
 {
     margin-top: 10px;
 }

.mt50
{
    margin-top: 50px;
}

.mt-10
 {
     margin-top: -10px;
 }
 .mt-30
 {
     margin-top: -30px;
 }

.mt-50
{
    margin-top: -50px;
}

.mb1r
{
  margin-bottom: 1rem !important;
}

.mt-1r
{
    margin-top: -1rem;
}

.md5px
{
    margin-right: 5px;
}
.md15px
{
    margin-right: 15px;
}

.mr10{
  margin-right: 10px;
}

.ml10{
  margin-left: 10px;
}


.ml15px
{
    margin-left: 15px;
}

.ml50px
{
    margin-left: 50px;
}

.linea {
  width: 100%; /* O el ancho que necesites */
  height: 1px;
  background-color: #000;
}

.centrar-texto {
  text-align: center; /* Centra el texto dentro del elemento */
  display: block; /* Necesario para que el text-align funcione correctamente en un span */

}

.grilla-texto-derecha {
  text-align: right; /* Centra el texto dentro del elemento */
}

.texto-derecha {
    text-align: end; /* Centra el texto dentro del elemento */
    display: block; /* Necesario para que el text-align funcione correctamente en un span */
    margin-right: 5px;
}

.importe-simbolo {
    float: right; /* Esto mueve el símbolo $ a la derecha */
  }
    
  .diferenciaNegativo
  {
    color: var(--diferencia);
  }

  .diferenciaPositiva
  {
    color: var(--diferenciaPositiva);
  }

  .sr {
    text-decoration: underline;

  }



  select:focus {

    background: var(--colorFondoInput);
    border: none;
    border-bottom: 1px solid  var(--lineaInput);
    width: 100%;
  
    -webkit-appearance: none; /* para eliminar la apariencia predeterminada del select */
    -moz-appearance: none;
    appearance: none;
    
  /*  padding-right: 30px;  Deja espacio para la flecha */
    
    position: relative; /* Necesario para posicionar la flecha */
    transition: border-color 0.7s; /* Suave transición en el borde */
  }
  
 .error
 {
  
    color: var(--inputError);
    font-weight: 400 !important;;
    font-size: 0.9rem;
 }


        
.input-error {
    background-color:var(--inputError) !important;  /* Color de fondo rojo claro (para el error) */
    color: white; /* Opcional: para que el texto sea visible en rojo */
}

        
.input-obligatorio {
  border-left: 3px solid var(--inputError) !important;
}

.input-busqueda {
  border-left: 3px solid var(--colorFondoInput) !important;
}

.subtitulo
{

  font-size: 1.1rem !important;
  font-weight: 400 !important;
/*margin: 1rem;*/
color: var(--colorTitulo);

}

.limitarTexto
{
  text-overflow: ellipsis;
  overflow: hidden;
  white-space: nowrap;
}

.cmbCombo{
   
  text-align: left; /* alinear labels a la derecha */
  padding-right: 10px; /* espacio entre label y input */
}


 .cmbCombo:not(:focus) {

  background: #fff;
  border: none;
  border-bottom: 1px solid  var(--lineaInput);
  width: 100%;

  -webkit-appearance: none; /* para eliminar la apariencia predeterminada del select */
  -moz-appearance: none;
  appearance: none;
  
}

.btnGrillaCabecera {
  border: none; 
  color: var(--blanco);
  text-align: center; 
  background-color: var(--cabeceraTabla);
  font-size: 0.8rem;
  font-weight: 400;
  font-style: normal;

}


 .c1
 {
    grid-column: 1;
 }
 .c2
 {
    grid-column: 2;
 }
 .c3
 {
    grid-column: 3;
 }
 .c4
 {
    grid-column: 4;
 }

 .c5
 {
    grid-column: 5;
 }

 .c6
 {
    grid-column: 6;
 }

 .c7
 {
    grid-column: 7;
 }

 .c8
 {
    grid-column: 8;
 }

 .c9
 {
    grid-column: 9;
 }


 .c10
 {
    grid-column: 10;
 }

.c11
 {
    grid-column: 11;
 }

 .c12
 {
    grid-column: 12;
 }

 .c13
 {
    grid-column: 13;
 }

 .c14
 {
    grid-column: 14;
 }


 .c15
 {
    grid-column: 15;
 }


.c1-3
{
  grid-column: 1 / 3; 
}

.c1-4
{
  grid-column: 1 / 4; 
}
.c1-5
{
  grid-column: 1 / 5; 
}

.c2-4
{
  grid-column: 2 / 4; 
}

.c2-5
{
  grid-column: 2 / 5; 
}

.c2-6
{
  grid-column: 2 /6; 
}


.c2-7
{
  grid-column: 2 /7; 
}

.c2-8
{
  grid-column: 2 /8; 
}

.c3-4
{
  grid-column: 3 /5; 
}

.c3-5
{
  grid-column: 3 /6; 
}
.c3-6
{
  grid-column: 3 /7; 
}

.c4-6
{
  grid-column: 4 / 6; 
}

.c4-7
{
  grid-column: 4 / 7 
}
 
.c4-8
{
  grid-column: 4 / 8; 
}

.c4-12
{
  grid-column: 4 / 12; 
}

.c5-6
{
  grid-column: 5 / 6; 
}

.c5-7
{
  grid-column: 5 / 7; 
}

.c5-8
{
  grid-column: 5 / 8; 
}
.c5-9
{
  grid-column: 5 / 10; 
}

.c6-7
{
  grid-column: 6 / 7; 
}

.c6-8
{
  grid-column: 6 / 8; 
}

.c6-9
{
  grid-column: 6 / 9; 
}

.c7-8
{
  grid-column: 7 / 9; 
}

.c7-9
{
  grid-column: 7 / 10; 
}


.c9-11
{
  grid-column: 9 / 12; 
}


.c10-11
{
  grid-column: 10 / 12; 
}


.c10f
{
  grid-column: 10 / -1; 
}

.maxbtn
{
  max-width: 12em;
}

.pad-5
{
  padding: 5px;
}

hr{
  border: 0;
 
  background-color: #000; /* Color de la línea */
}

.hr1Titulo
{
  height: 1px; /* Grosor de la línea */
  color: var(--colorTitulo);
}

.hr1
{
  height: 1px; /* Grosor de la línea */
}
.hr15
{
  height: 1.5px; /* Grosor de la línea */
  width: 98%;
}

.hr25
{
  height: 2.5px; /* Grosor de la línea */
}


 .c1f
 {
    grid-column: 1/-1;
 }
 .c2f
 {
    grid-column: 2/-1;
 }
 .c3f
 {
    grid-column: 3/-1;
 }
 .c4f
 {
    grid-column: 4/-1;
 }

 .c5f
 {
    grid-column: 5/-1;
 }
 .c6f
 {
    grid-column: 6/-1;
 }
 .c7f
 {
    grid-column: 7/-1;
 }
 
 .w90
 {
    width: 90%;
 }

 
 .w98
 {
    width: 98%;
 }

 .w50
 {
    width: 50%;
 }

 .w60
 {
    width: 60%;
 }


 .w75
 {
    width: 75%;
 }
 

.w80px
{
  width: 80px;
}

.wButtonMini
{
  width: 1.5rem;
  margin-left: -5rem !important;
}

 .ml10
 {
    margin-left: 10px;
 }

 
.ml15
{
    margin-left: 15px;
}

.ntot
{
  font-weight: 600;
  font-size: 0.9rem;
}

 
.linea-superior-pie td {
    border-top: 2px solid var(--cabeceraTabla); 
    background-color: var(--colorBotonSecondary);
}

.buttonVerde{
  color: var(--colorTextoBoton);
  padding: 2px 10px;
  border-radius: 5px; /*ancho del boton */
  background-color: var(--colorBotonVerde) !important;
  background-image: radial-gradient(93% 87% at 87% 89%, rgba(0, 0, 0, 0.23) 0%, transparent 86.18%), radial-gradient(66% 87% at 26% 20%, rgba(255, 255, 255, 0.41) 0%, rgba(255, 255, 255, 0) 69.79%, rgba(255, 255, 255, 0) 100%);
  box-shadow:2px 5px 15px rgba(0, 0, 0, 0.2);
  
  font-size: 0.8rem;
  font-weight: 300;
  font-style: normal;
  height: 1.4rem;
  border: 0;

  user-select: none;
  -webkit-user-select: none;
  touch-action: manipulation;

  cursor: pointer;

  margin: 2px;
 

}

.buttonVerde:active
{
  transform: translateX(1px) translateY(1px); 
}
.buttonDuplicaReceta
{
  color: var(--colorTextoBoton);
  padding: 2px 10px;
  border-radius: 5px;
  background-color: var(--colorBotonVioleta);
  background-image: radial-gradient(93% 87% at 87% 89%, rgba(0, 0, 0, 0.23) 0%, transparent 86.18%), radial-gradient(66% 87% at 26% 20%, rgba(255, 255, 255, 0.41) 0%, rgba(255, 255, 255, 0) 69.79%, rgba(255, 255, 255, 0) 100%);
  box-shadow: 2px 5px 15px rgba(0, 0, 0, 0.2);
  font-size: 0.8rem;
  font-weight: 300;
  font-style: normal;
  height: 1.6rem;
  border: 0;
  user-select: none;
  -webkit-user-select: none;
  touch-action: manipulation;
  cursor: pointer;
  width: 100%;
  margin: 5px;
}

.buttonVioleta{
  color: var(--colorTextoBoton);
  padding: 2px 10px;
  border-radius: 5px; /*ancho del boton */
  background-color: var(--colorBotonVioleta) !important;
  background-image: radial-gradient(93% 87% at 87% 89%, rgba(0, 0, 0, 0.23) 0%, transparent 86.18%), radial-gradient(66% 87% at 26% 20%, rgba(255, 255, 255, 0.41) 0%, rgba(255, 255, 255, 0) 69.79%, rgba(255, 255, 255, 0) 100%);
  box-shadow: 2px 5px 15px rgba(0, 0, 0, 0.2);
  font-size: 0.8rem;
  font-weight: 300;
  font-style: normal;
  height: 1.4rem;
  border: 0;

  user-select: none;
  -webkit-user-select: none;
  touch-action: manipulation;

  cursor: pointer;

  margin: 2px;
 

}

.buttonVioleta:active
{
  transform: translateX(1px) translateY(1px); 
}


 

 .buttonSecondary:active
 {
    transform: translateX(1px) translateY(1px); 
 } 



 .buttonError:active
 {
    transform: translateX(1px) translateY(1px); 
 }

 .buttonPrimary{
    color: var(--colorTextoBoton);
    padding: 2px 10px;
    border-radius: 5px; /*ancho del boton */
    background-color: var(--colorBoton) !important;
    background-image: radial-gradient(93% 87% at 87% 89%, rgba(0, 0, 0, 0.23) 0%, transparent 86.18%), radial-gradient(66% 87% at 26% 20%, rgba(255, 255, 255, 0.41) 0%, rgba(255, 255, 255, 0) 69.79%, rgba(255, 255, 255, 0) 100%);
    box-shadow: 2px 5px 15px rgba(0, 0, 0, 0.2);
    font-size: 0.8rem;
    font-weight: 300;
    font-style: normal;
    height: 1.4rem;
    border: 0;
  
    user-select: none;
    -webkit-user-select: none;
    touch-action: manipulation;
  
    cursor: pointer;
  
    margin: 2px;
   
  
  }
  
 .buttonPrimary:active
 {
    transform: translateX(1px) translateY(1px); 
 }


  .buttonError{
    color: #fff;
    padding: 2px 10px;
    border-radius: 5px; /*ancho del boton */
    background-color: var(--botonCancerlar);
    background-image: radial-gradient(93% 87% at 87% 89%, rgba(0, 0, 0, 0.23) 0%, transparent 86.18%), radial-gradient(66% 87% at 26% 20%, rgba(255, 255, 255, 0.41) 0%, rgba(255, 255, 255, 0) 69.79%, rgba(255, 255, 255, 0) 100%);
    box-shadow: 2px 5px 15px rgba(0, 0, 0, 0.2);
    font-size: 0.8rem;
    font-weight: 300;
    font-style: normal;
    height: 1.4rem;
    border: 0;
  
    user-select: none;
    -webkit-user-select: none;
    touch-action: manipulation;
  
    cursor: pointer;
  
    margin: 2px;
  
  }

  .buttonSecondary{
    color: var(--colorTextoBotonSecondary);
    padding: 2px 10px;
    border-radius: 5px; /*ancho del boton */
    background-color: var(--colorBotonSecondary);
    background-image: radial-gradient(93% 87% at 87% 89%, rgba(0, 0, 0, 0.23) 0%, transparent 86.18%), radial-gradient(66% 87% at 26% 20%, rgba(255, 255, 255, 0.41) 0%, rgba(255, 255, 255, 0) 69.79%, rgba(255, 255, 255, 0) 100%);
    box-shadow: 2px 5px 15px rgba(0, 0, 0, 0.2);
    font-size: 0.8rem;
    font-weight: 300;
    font-style: normal;
    height: 1.4rem;
    border: 0;
  
    user-select: none;
    -webkit-user-select: none;
    touch-action: manipulation;
  
    cursor: pointer;
    margin: 2px;
  
  }



  
  .buttonEliminarTrabajo{
    color: var(--colorTextoBoton);
    padding: 2px 10px;
    border-radius: 5px; /*ancho del boton */
    background-color: var(--colorBotonEliminarTrabajo);
    background-image: radial-gradient(93% 87% at 87% 89%, rgba(0, 0, 0, 0.23) 0%, transparent 86.18%), radial-gradient(66% 87% at 26% 20%, rgba(255, 255, 255, 0.41) 0%, rgba(255, 255, 255, 0) 69.79%, rgba(255, 255, 255, 0) 100%);
    box-shadow: 2px 5px 15px rgba(0, 0, 0, 0.2);
    font-size: 0.8rem;
    font-weight: 300;
    font-style: normal;
    height: 1.6rem;
    border: 0;
    user-select: none;
    -webkit-user-select: none;
    touch-action: manipulation;
    cursor: pointer;
    width: 100%;
    margin: 5px;
  
  }

  
  .buttonSoloVista{
    color: var(--colorTextoBotonDiabled);
    padding: 2px 10px;
    border-radius: 5px; /*ancho del boton */
    background-color: var(--colorBotonGris);
    background-image: radial-gradient(93% 87% at 87% 89%, rgba(0, 0, 0, 0.23) 0%, transparent 86.18%), radial-gradient(66% 87% at 26% 20%, rgba(255, 255, 255, 0.41) 0%, rgba(255, 255, 255, 0) 69.79%, rgba(255, 255, 255, 0) 100%);
    box-shadow: 2px 5px 15px rgba(0, 0, 0, 0.2);
    font-size: 0.8rem;
    font-weight: 300;
    font-style: normal;
    height: 1.4rem;
    border: 0;
  
    user-select: none;
    -webkit-user-select: none;
    touch-action: manipulation;
    width: 100%;
 /*   cursor: pointer;*/
    margin: 5px; 
    cursor: not-allowed;
  }

  

  .buttonDisable{
    color: #fff;
    padding: 2px 10px;
    border-radius: 5px; /*ancho del boton */
    background-color: var(--botonDeshabilitado);
    background-image: radial-gradient(93% 87% at 87% 89%, rgba(0, 0, 0, 0.23) 0%, transparent 86.18%), radial-gradient(66% 87% at 26% 20%, rgba(255, 255, 255, 0.41) 0%, rgba(255, 255, 255, 0) 69.79%, rgba(255, 255, 255, 0) 100%);
    box-shadow: 2px 5px 15px rgba(0, 0, 0, 0.2);
    font-size: 0.8rem;
    font-weight: 300;
    font-style: normal;
    height: 1.4rem;
    border: 0;
  
    user-select: none;
    -webkit-user-select: none;
    touch-action: manipulation;

    cursor: not-allowed; 
    margin: 2px;
  
  }

.buttonGrisCancel{
    color: #fff;
    padding: 2px 10px;
    border-radius: 5px; /*ancho del boton */
    background-color: var(--botonDeshabilitado);
    background-image: radial-gradient(93% 87% at 87% 89%, rgba(0, 0, 0, 0.23) 0%, transparent 86.18%), radial-gradient(66% 87% at 26% 20%, rgba(255, 255, 255, 0.41) 0%, rgba(255, 255, 255, 0) 69.79%, rgba(255, 255, 255, 0) 100%);
    box-shadow: 2px 5px 15px rgba(0, 0, 0, 0.2);
    font-size: 0.8rem;
    font-weight: 300;
    font-style: normal;
    height: 1.4rem;
    border: 0;

    user-select: none;
    -webkit-user-select: none;
    touch-action: manipulation;

    cursor: pointer; 
    margin: 2px;

}

  
  .buttonGrisCancelMini{
    color: var(--colorTextoBotonSecondary);
    padding: 0px 0px 2px 1px;
    border-radius: 5px; /*ancho del boton */
    background-color: var(--colorBotonSecondary);
    background-image: radial-gradient(93% 87% at 87% 89%, rgba(0, 0, 0, 0.23) 0%, transparent 86.18%), radial-gradient(66% 87% at 26% 20%, rgba(255, 255, 255, 0.41) 0%, rgba(255, 255, 255, 0) 69.79%, rgba(255, 255, 255, 0) 100%);
    box-shadow: 2px 5px 15px rgba(0, 0, 0, 0.2);
    font-size: 0.8rem;
    font-weight: 400;
    font-style: normal;
    height: 1.4rem;
    border: 0;
  
    user-select: none;
    -webkit-user-select: none;
    touch-action: manipulation;

    cursor: pointer; 
    margin: 1px;
 
  }

  .buttonGrisCancelMini:hover
  {
    color: var(--negro);
    background-color: var(--botonDeshabilitado);
  }

  .buttonGrisCancelMini:active
  {
     transform: translateX(1px) translateY(1px); 
  }
  
  .buttonGrisCancel:active
  {
     transform: translateX(1px) translateY(1px); 
  }

  .buttonGrisOkMini{
    color: #fff;
    padding: 0px 0px 2px 1px;
    border-radius: 5px; /*ancho del boton */
    background-color: var(--colorBoton);
    background-image: radial-gradient(93% 87% at 87% 89%, rgba(0, 0, 0, 0.23) 0%, transparent 86.18%), radial-gradient(66% 87% at 26% 20%, rgba(255, 255, 255, 0.41) 0%, rgba(255, 255, 255, 0) 69.79%, rgba(255, 255, 255, 0) 100%);
    box-shadow: 2px 5px 15px rgba(0, 0, 0, 0.2);
    font-size: 0.8rem;
    font-weight: 400;
    font-style: normal;
    height: 1.4rem;
    border: 0;
  
    user-select: none;
    -webkit-user-select: none;
    touch-action: manipulation;

    cursor: pointer; 
    margin: 1px;
  
    
  }

  .buttonGrisOkMini:hover
  {
    color: var(--negro);
    background-color: var(--colorBotonSecondary);
  }
  .buttonGrisOkMini:active
  {
     transform: translateX(1px) translateY(1px); 
  }



/* para ocultar algo completamente */
  .dNone
  {
    display: none !important;
  }

/* anchos genericos */
.w17r
{
  width: 1.7rem;
}

.w100p
{
  width: 100%;
}
.mar03r{
  margin: 0.3rem;
}


.marL40p
{
  margin-left:-40px;
}

/*-------------------- */
/* switchSN              */
/* ------------------- */
.switchSN {
  position: relative;
  display: inline-block;
  width: 40px;
  height: 20px;
}

.switchSN input {
  opacity: 0;
  width: 0;
  height: 0;
}

.switchSN .slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  transition: 0.4s;
  border-radius: 20px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0 5px;
}

.switchSN .slider:before {
  position: absolute;
  content: "";
  height: 16px;
  width: 16px;
  left: 22px;
  bottom: 2px;
  background-color: white;
  transition: 0.2s;
  border-radius: 50%;
}

.switchSN .slider::after {
  content: "No"; /* Texto que aparece cuando está a la izquierda */
  font-size: 10px;
  color: rgb(0, 0, 0);
  position: absolute;
  top: 50%;
  left: 5px;
  transform: translateY(-50%);
  opacity: 1;
  transition: opacity 0.3s;
}

.switchSN input:checked + .slider {
  background-color: var(--fondoSwitch);
}

.switchSN input:checked + .slider:before {
  transform: translateX(-20px);
}

.switchSN input:focus + .slider:before {
  background-color: var(--colorFondoInput); /* Cambia el color del círculo cuando el input tiene foco */
}

.switchSN input:not(:focus) + .slider:before {
  background-color: white; /* Vuelve a blanco cuando pierde el foco */
}


.switchSN input:checked + .slider::after {
  content: "Si"; /* Texto que aparece cuando está a la derecha */
  color: rgb(255, 255, 255);
  left: auto;
  right: 7px;
  opacity: 1;
}


/* ----------------- */
/* Switch sin texto (switchST) */
/* ----------------- */
.switch {
  position: relative;
  display: inline-block;
  width: 40px;
  height: 20px;
}

.switch input {
  opacity: 0;
  width: 0;
  height: 0;
}

.switch .slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  transition: 0.4s;
  border-radius: 20px;
}

/* Aquí simplemente eliminamos los pseudo-elementos de texto */
.switch .slider:before {
  position: absolute;
  content: "";
  height: 16px;
  width: 16px;
  left: 2px;
  bottom: 2px;
  background-color: white;
  transition: 0.2s;
  border-radius: 50%;
}

.switch input:focus + .slider:before {
  background-color: var(--colorFondoInput); /* Cambia el color del círculo cuando el input tiene foco */
}

.switch input:not(:focus) + .slider:before {
  background-color: white; /* Vuelve a blanco cuando pierde el foco */
}



.switch input:checked + .slider {
  background-color: var(--fondoSwitch);
}


.switch input:checked + .slider:before {
  transform: translateX(20px);
}

/* ----------------- */
/* Switch con círculo y tilde (switchChk) */
/* ----------------- */
.switchChk {
  position: relative;
  display: inline-block;
  width: 18px;
  height: 18px; /* Tamaño del círculo */
}

.switchChk input {
  opacity: 0;
  width: 0;
  height: 0;
}

.switchChk .slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: transparent; /* Fondo transparente */
  border: 2px solid #ccc; /* Borde sutil para el estado unchecked */
  transition: 0.4s;
  border-radius: 50%; /* Hacemos el slider circular */
}

.switchChk .slider:before {
  position: absolute;
  content: "";
  height: 16px;
  width: 16px;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  background-color: transparent; /* Sin fondo para el círculo interior */
  transition: 0.2s;
  border-radius: 50%;
}

/* Estado checked */
.switchChk input:checked + .slider {
  background-color: transparent;
  border-color: greenyellow; /*  color del borde al estar checked*/
}

/* Tilde (✓) cuando está checked */
.switchChk input:checked + .slider:before {
  content: "🗸"; /*  tilde */
  font-size: 1.6rem; /* Tamaño del tilde */
  color: blueviolet; /* Color del tilde */
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100%;
  width: 100%;
  transform: translate(-50%, -50%) rotate(-10deg); /* inclinacion */
  left: 75%; /*posicion para que quede al centro */
  top: 40%; /*posicion para que quede al centro */
  background-color: transparent; /* Sin fondo */
}


/* Estilos generales para la notificación */
.notification {
  position: fixed;
  top: 65px;
  right: -300px; /* Inicialmente fuera de la pantalla */
  background-color: #4CAF50;
  color: white;
  padding: 15px;
  border-radius: 5px;
  font-size: 16px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
  z-index: 9999;
  transition: right 0.5s ease-in-out; /* Animación para aparecer y desaparecer */
}

/* La clase que hace visible la notificación */
.notification.show {
  right: 25px; /* Cuando se muestra, se mueve a la posición deseada */
}

.oculto {
    display: none;
}

.Tituloppal
{
grid-column: 1/-1; /* menos 1 es hasta el fin */
justify-self: center;
font-size: 1.5rem;
font-weight: 400;
/*margin: 1rem;*/
color: var(--colorTitulo);

}

.footer-info {
    display: flex;                 
    align-items: center;           
}

.footer-info .left {
    text-align: left;
}

.footer-info .center {
    flex: 1;                       
    text-align: center;            
}

.footer-info .right {
    text-align: right;
}